## ruby-hammer-cli-foreman 0.1.3

=== locale/Makefile ===
#
# Makefile for PO merging and MO generation. More info in the README.
#
# make all-mo (default) - generate MO files
# make check - check translations using translate-tool
# make tx-update - download and merge translations from Transifex
# make clean - clean everything
#
DOMAIN = hammer-cli-foreman
VERSION = $(shell ruby -e 'require "rubygems";spec = Gem::Specification::load("../hammer_cli_foreman.gemspec");puts spec.version')
POTFILE = $(DOMAIN).pot
MOFILE = $(DOMAIN).mo
POFILES = $(shell find . -name '*.po')
MOFILES = $(patsubst %.po,%.mo,$(POFILES))
POXFILES = $(patsubst %.po,%.pox,$(POFILES))

%.mo: %.po
	mkdir -p $(shell dirname $@)/LC_MESSAGES
	msgfmt -o $(shell dirname $@)/LC_MESSAGES/$(MOFILE) $<

# Generate MO files from PO files
all-mo: $(MOFILES)

# Check for malformed strings
%.pox: %.po
	msgfmt -c $<
	pofilter --nofuzzy -t variables -t blank -t urls -t emails -t long -t newlines \
		-t endwhitespace -t endpunc -t puncspacing -t options -t printf -t validchars --gnome $< > $@
	cat $@
	! grep -q msgid $@

check: $(POXFILES)
	msgfmt -c ${POTFILE}

# Merge PO files
update-po:
	for f in $(shell find ./ -name "*.po") ; do \
		msgmerge -N --backup=none -U $$f ${POTFILE} ; \
	done

# Unify duplicate translations
uniq-po:
	for f in $(shell find ./ -name "*.po") ; do \
		msguniq $$f -o $$f ; \
	done

tx-pull:
	tx pull -f
	for f in $(POFILES) ; do \
		sed -i 's/^\("Project-Id-Version: \).*$$/\1$(DOMAIN) $(VERSION)\\n"/' $$f; \
	done
	-git commit -a -m "i18n - extracting new, pulling from tx"

extract-strings:
	bundle exec rake gettext:find

reset-po:
	# merging po files is unnecessary when using transifex.com
	git checkout -- ../locale/*/*po

tx-update: tx-pull extract-strings reset-po $(MOFILES)
	# amend mo files
	git add ../locale/*/LC_MESSAGES
	git commit -a --amend -m "i18n - extracting new, pulling from tx"
	-echo Changes commited!

=== debian/changelog ===
ruby-hammer-cli-foreman (0.1.3-1) stable; urgency=low

  * 0.1.3 release

 -- Tomas Strachota <tstrachota@redhat.com>  Thu, 21 Aug 2014 10:09:20 +0100

ruby-hammer-cli-foreman (0.1.2-4) stable; urgency=low

  * Explicitly include locale subdirs to avoid further conflicts

 -- Greg Sutcliffe <gsutclif@redhat.com>  Thu, 28 Aug 2014 21:02:00 +0100

ruby-hammer-cli-foreman (0.1.2-3) stable; urgency=low

  * Fix Makefile conflict

 -- Greg Sutcliffe <gsutclif@redhat.com>  Thu, 28 Aug 2014 20:17:00 +0100

ruby-hammer-cli-foreman (0.1.2-2) stable; urgency=low

  * Installing locale files

 -- Tomas Strachota <tstrachota@redhat.com>  Thu, 15 Aug 2014 16:15:20 +0100

ruby-hammer-cli-foreman (0.1.2-1) stable; urgency=low

  * 0.1.2 release

 -- Tomas Strachota <tstrachota@redhat.com>  Thu, 14 Aug 2014 10:26:00 +0100

ruby-hammer-cli-foreman (0.1.1-1) stable; urgency=low

  * 0.1.1 release

 -- Tomas Strachota <tstrachota@redhat.com>  Thu, 22 May 2014 12:04:00 +0100

ruby-hammer-cli-foreman (0.1.0-1) stable; urgency=low

  * First Trusty release

 -- Greg Sutcliffe <gsutclif@redhat.com>  Tues, 6 May 2014 16:10:00 +0000

=== debian/control ===
Source: ruby-hammer-cli-foreman
Section: ruby
Priority: optional
Maintainer: Tomas Strachota <tstrachota@redhat.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~)
Standards-Version: 3.9.3
Homepage: http://github.com/theforeman/hammer-cli-foreman
XS-Ruby-Versions: all

Package: ruby-hammer-cli-foreman
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
         ruby-hammer-cli (>= 0.1.2)
Description: Foreman commands for Hammer
 Foreman commands for Hammer CLI

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/hammer_cli_foreman .*/hammer_cli_foreman-(.*).tar.gz
